Bug 67318 - kernel oops in ext3/journal code
Summary: kernel oops in ext3/journal code
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-22 12:26 UTC by George Sohos
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:12:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Sohos 2002-06-22 12:26:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Intermittent oopsen caused in the ext3/journaling code.
This went away when I switched to ext2.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
There is no statndard way to reproduce this. Typically, I would
have the machine running for a few hours/days, and then the oops
would happen. The machine would still be usable in both release and
debug kernels, sometimes after multiple oopsen.
	

Actual Results:  Here is the oops that typically happens:

May 26 19:46:31 pok kernel:  <1>Unable to handle kernel NULL pointer dereference
at virtual address 00000028
May 26 19:46:31 pok kernel:  printing eip:
May 26 19:46:31 pok kernel: e080ea32
May 26 19:46:31 pok kernel: *pde = 14dbc067
May 26 19:46:31 pok kernel: *pte = 00000000
May 26 19:46:31 pok kernel: Oops: 0000
May 26 19:46:31 pok kernel: soundcore nls_iso8859-1 via-rhine mii ide-cd cdrom
ext3 jbd  
May 26 19:46:31 pok kernel: CPU:    0
May 26 19:46:31 pok kernel: EIP:    0010:[<e080ea32>]    Not tainted
May 26 19:46:31 pok kernel: EFLAGS: 00013207
May 26 19:46:31 pok kernel: 
May 26 19:46:31 pok kernel: EIP is at journal_try_to_free_buffers_R1c819bec
[jbd] 0x62 (2.4.18-3)
May 26 19:46:31 pok kernel: eax: 00000000   ebx: 00000000   ecx: c1775f2c   edx:
00000000
May 26 19:46:31 pok kernel: esi: daab7940   edi: 00000000   ebp: 00000000   esp:
c1775f2c
May 26 19:46:31 pok kernel: ds: 0018   es: 0018   ss: 0018
May 26 19:46:31 pok kernel: Process kswapd (pid: 5, stackpage=c1775000)
May 26 19:46:31 pok kernel: Stack: 00000000 c167ab28 000001d0 c129d17c 000001d0
e081f742 dfe8e000 c167ab28 
May 26 19:46:31 pok kernel:        000001d0 c013c8da c167ab28 000001d0 c167ab28
c167ab44 c0131635 c167ab28 
May 26 19:46:31 pok kernel:        000001d0 00000cb2 00000223 0000007f c02ccf5c
00000cb2 00000a87 0000000a 
May 26 19:46:31 pok kernel: Call Trace: [<e081f742>] ext3_releasepage [ext3] 0x22 
May 26 19:46:31 pok kernel: [<c013c8da>] try_to_release_page [kernel] 0x3a 
May 26 19:46:31 pok kernel: [<c0131635>] page_launder_zone [kernel] 0x3f5 
May 26 19:46:31 pok kernel: [<c0131a68>] page_launder [kernel] 0x168 
May 26 19:46:31 pok kernel: [<c01322f2>] do_try_to_free_pages [kernel] 0x12 
May 26 19:46:31 pok kernel: [<c01325f1>] kswapd [kernel] 0x101 
May 26 19:46:31 pok kernel: [<c0105000>] stext [kernel] 0x0 
May 26 19:46:31 pok kernel: [<c0107136>] kernel_thread [kernel] 0x26 
May 26 19:46:31 pok kernel: [<c01324f0>] kswapd [kernel] 0x0 
May 26 19:46:33 pok kernel: 
May 26 19:46:33 pok kernel: 
May 26 19:46:33 pok kernel: Code: 8b 5b 28 f6 42 19 02 74 10 89 e0 50 52 e8 ec
fe ff ff 5a 85 



Additional info: The machine is an athlon xp processor. The drive is IDE. The
system is an upgreade from 7.2

Comment 2 George Sohos 2002-06-22 19:36:17 UTC
The machine is a uni and I am not running an SMP kernel. It is a bit obscure
in the oops, but it's a 2.4.18-3. In any case I have updated to 2.4.18-5 and 
running the debug flavor for the time being...


Note You need to log in before you can comment on or make changes to this bug.